Java Development Kit or JDK is required to be installed on your server in order to run any java based application. As ElegantJ BI is a java based application it is required JDK is installed on the server. Wildfly would not run in absence of the Java Development Kit.

To Install JDK in Debian based Linux (UBUNTU), execute following commands

  • sudo add-apt-repository ppa:webupd8team/java
  • sudo apt-get update
  • sudo apt-get install oracle-java7-installer

To Install JDK in RPM based Linux (Red hat, Fedora and Cent OS) 

To Install JDK in Windows Machine

Note: This article is based on ElegantJ BI Version 4.1. This may or may not be relevant to the ElegantJ BI version you may be using.